oracle.jdbc

## Class OracleSQLPermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - oracle.jdbc.OracleSQLPermission

All Implemented Interfaces:
  Serializable, Guard

    public final class OracleSQLPermission
    extends BasicPermission

The Permission class for Java security permissions unique to the Oracle JDBC drivers. As of this release the only supported target is "callAbort". The actions are ignored.

Since:
  release specific (what release of product did this appear in)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OracleSQLPermission(String name)`
`OracleSQLPermission(String name, String actions)`

### Method Summary

### Methods inherited from class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods inherited from class java.security.Permission

`checkGuard, getName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OracleSQLPermission

    public OracleSQLPermission(String name)

#### OracleSQLPermission

    public OracleSQLPermission(String name,
                               String actions)

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.